//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "TestImageTransparent0.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void JpgToBmp(TImage *image)
{
  Graphics::TBitmap *bmp = new Graphics::TBitmap();

  bmp->Width  = image->Picture->Width;
  bmp->Height = image->Picture->Height;
  bmp->Canvas->Draw(0, 0, image->Picture->Graphic);
  image->Picture->Assign(bmp);

  delete bmp;
}
void __fastcall TForm1::FormCreate(TObject *Sender)
{
  JpgToBmp(Image1);
  Image2->Picture->Bitmap->Width  = Image1->Picture->Width;
  Image2->Picture->Bitmap->Height = Image1->Picture->Height;
  Image2->Left = Image1->Left;
  Image2->Top  = Image1->Top;
  Image2->AutoSize    = true;
  Image2->Transparent = true;
  Form1->DoubleBuffered = true;
}
//---------------------------------------------------------------------------
TColor colors[]={clRed, clGreen, clBlue, clBlack};

void __fastcall TForm1::btnSwitchClick(TObject *Sender)
{
  static int selected=0;
  int h,w;
  
  w = Image2->Picture->Bitmap->Width  / 2;
  h = Image2->Picture->Bitmap->Height / 2;

  Image2->Picture->Bitmap->Transparent = true;
  Image2->Picture->Bitmap->Canvas->Pen->Color = clYellow;

  Image2->Picture->Bitmap->TransparentColor = colors[selected];

  Image2->Picture->Bitmap->Canvas->Brush->Color = colors[0];
  Image2->Picture->Bitmap->Canvas->Rectangle(0,0,w,h);

  Image2->Picture->Bitmap->Canvas->Brush->Color = colors[1];
  Image2->Picture->Bitmap->Canvas->Rectangle(w,0,2*w,h);

  Image2->Picture->Bitmap->Canvas->Brush->Color = colors[2];
  Image2->Picture->Bitmap->Canvas->Rectangle(w,h,2*w,2*h);

  Image2->Picture->Bitmap->Canvas->Brush->Color = colors[3];
  Image2->Picture->Bitmap->Canvas->Rectangle(0,h,w,2*h);

  selected = (++selected) % 4;
}
//---------------------------------------------------------------------------
